[coreboot] New patch to review for coreboot: b5b93c5 libpayload: Don't leave temporary files behind
Patrick Georgi (patrick@georgi-clan.de)
gerrit at coreboot.org
Thu Sep 27 12:37:10 CEST 2012
Patrick Georgi (patrick at georgi-clan.de) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/1543
-gerrit
commit b5b93c582db9fca1e893d5d582a3366ac8cf5ff4
Author: Patrick Georgi <patrick.georgi at secunet.com>
Date: Wed Sep 26 15:26:05 2012 +0200
libpayload: Don't leave temporary files behind
For some reason the rm -f didn't quite work on my system,
but sending gcc output to /dev/null does.
Change-Id: I7ece9aa9abe564bbc646ae53df1d3cd0c5aa84a2
Signed-off-by: Patrick Georgi <patrick.georgi at secunet.com>
---
payloads/libpayload/bin/lpgcc | 6 ++----
1 file changed, 2 insertions(+), 4 deletions(-)
diff --git a/payloads/libpayload/bin/lpgcc b/payloads/libpayload/bin/lpgcc
index 80c2266..8ee0dcf 100755
--- a/payloads/libpayload/bin/lpgcc
+++ b/payloads/libpayload/bin/lpgcc
@@ -58,10 +58,8 @@ BASE=`dirname $0`
_LDSCRIPT="-Wl,-T,$_LIBDIR/libpayload.ldscript"
trygccoption() {
- $DEFAULT_CC $1 -S -xc /dev/null -o .$$.tmp &> /dev/null
- RET=$?
- rm -f .$$.tmp
- return $RET
+ $DEFAULT_CC $1 -S -xc /dev/null -o /dev/null &> /dev/null
+ return $?
}
DEBUGME=0
More information about the coreboot
mailing list